ranges::views::filter_base_fn Struct Reference

## Description

Given a source range, unary predicate, and optional projection, present a view of the elements that satisfy the predicate.

Inheritance diagram for ranges::views::filter_base_fn:

## Public Member Functions

template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> filter_view< all_t< Rng >, composed< Pred, Proj >> requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, projected< iterator_t< Rng >, Proj >>
Public Member Functions inherited from ranges::views::cpp20_filter_base_fn
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> filter_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>